Description

I don't know whether to put this as a bug report or feature request, but I think a feature request might be better.

Often times when I am prepping a map for output and configuring my label positioning I get my label placements looking how I want them,

and typically (although not always) they will display the same in the print composer, but it seems that when I export to PDF some labels

unpredictably move around, drop out, etc.

It would be really nice to be able to lock label positions and have them stay true to their positions at export without having to manually

place them to know for sure. This is something that is possible in ArcMap, and is nice feature for export control. It allows the user to

potentially turn off layers that may interfere with ideal label placement before locking the labels and then turning on those features without

having to worry about everything changing.

I've noticed this issue in QGIS 2.18 through 3.4.

History

#1 - 2018-11-21 12:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

By "lock" position you mean placing the label in a exact place on the map? If yes this is possible since long in QGIS.

#2 - 2018-11-21 08:17 PM - James M

Hi Giovanni, if you are referring to manually moving and placing labels, then I am aware of that. However, sometimes it is not practical or convenient to

individually move every label to guarantee positioning.

I am referring to the ability to have the labeling engine place labels automatically (sometimes aiding it by turning off layers that may interfere with ideal

label placements), and then locking the labels (similar to the functionality in ArcMap) where the labels do not change, even when other layers are turned

back on and especially when exporting a composer to PDF. Perhaps there could be a toggle button on the labeling toolbar?

It is frustrating to configure a map theme and associated styles and have the labeling look perfectly fine (even in the composer) only to then to look at the

PDF export and see that some labels have moved/flipped/disappeared.

I know that there is probably a bug that is causing the exported PDF to not stay true what is displayed in the print composer layout view, but the ability to

lock labels in the way I am describing would be beneficial either way.

#3 - 2018-11-23 12:45 PM - Giovanni Manghi

- Status changed from Feedback to Open
